### Navigation

- index
- next |
- previous |
- OpenCV 2.4.10.0 documentation »
- OpenCV API Reference »
- stitching. Images stitching »

# Autocalibration

## detail::focalsFromHomography

Tries to estimate focal lengths from the given homography under the assumption that the camera undergoes rotations around its centre only.

C++:`` void `detail::``focalsFromHomography`(const Mat& H, double& f0, double& f1, bool& f0_ok, bool& f1_ok)

  Parameters:

  - H – Homography.
  - f0 – Estimated focal length along X axis.
  - f1 – Estimated focal length along Y axis.
  - f0_ok – True, if f0 was estimated successfully, false otherwise.
  - f1_ok – True, if f1 was estimated successfully, false otherwise.

## detail::estimateFocal

Estimates focal lengths for each given camera.

C++:`` void `detail::``estimateFocal`(const std::vector<ImageFeatures>& features, const std::vector<MatchesInfo>& pairwise_matches, std::vector<double>& focals)

  Parameters:

  - features – Features of images.
  - pairwise_matches – Matches between all image pairs.
  - focals – Estimated focal lengths for each camera.

## Help and Feedback

You did not find what you were looking for?

- Ask a question on the Q&A forum.
- If you think something is missing or wrong in the documentation, please file a bug report.

### Navigation

- index
- next |
- previous |
- OpenCV 2.4.10.0 documentation »
- OpenCV API Reference »
- stitching. Images stitching »